Pybal 1.12 has issues with executing ipvsadm commands
Closed, ResolvedPublic

Description

This is believed to be due to an accidental merge of some experimental code for asynchronous execution of ipvsadm commands some time back, and has caused pybal to fail to bring some services online in eqiad.

Example:

Nov 16 14:30:34 lvs1005 pybal[1943]: [pybal] ERROR: ipvsadm exited with status 255 when executing cmdlist ['-a -t 208.80.154.241:443 -r 10.64.0.107 -w 10\n', '-a -t 208.80.154.241:443 -r 10.64.0.106 -w 10\n', '-a -t 208.80.154.241:443 -r 10.64.32.133 -w 10\n', '-a -t 208.80.154.241:443 -r 10.64.32.134 -w 10\n']
Nov 16 14:30:34 lvs1005 pybal[1943]: [pybal] ERROR: ipvsadm stderr output:
BBlack created this task.Nov 18 2015, 3:23 PM
BBlack updated the task description. (Show Details)
BBlack raised the priority of this task from to High.
BBlack added projects: Operations, Traffic, Pybal.
BBlack added a subscriber: BBlack.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 18 2015, 3:23 PM
Joe closed this task as Resolved.Jan 6 2016, 9:23 PM
Joe claimed this task.
Joe set Security to None.
BBlack moved this task from Triage to Done on the Traffic board.Jan 13 2016, 3:00 PM